//
//  MyViewController.m
//  BasicInterface
//
//  Created by Aymeric Lamboley on 01/12/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "MyViewController.h"

@implementation MyViewController

@synthesize myView, myObject;

- (void) loadView {
    
    CGRect rect = [UIScreen mainScreen].applicationFrame;
    self.view = [[UIView alloc]initWithFrame:rect];
    
    myObject = [[MyObject alloc] init];
    
    myView = [[MyView alloc] initWithFrame:rect withText:myObject.myText andColor:myObject.myColor];
    
    [self.view addSubview:myView];
    
    [self.view addSubview:myView.myButton];
    [myView.myButton addTarget:self action:@selector(wasTapped) forControlEvents:UIControlEventTouchUpInside];
}

- (void) wasTapped {
    
    NSLog(@"Button clicked");
}

- (void) dealloc {
    
    [myView release];
    [myObject release];
    
    [super dealloc];
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView
{
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
