//
//  MyView.m
//  BasicInterface
//
//  Created by Aymeric Lamboley on 01/12/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "MyView.h"

@implementation MyView

@synthesize myText, colorText, myButton;

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code
        
        myText = [[NSString alloc] initWithString:@"My String"];
        
    }
    return self;
}

- (id) initWithFrame:(CGRect)frame withText:(NSString *)text andColor:(UIColor *)color {
    
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code
        
        myText = [[NSString alloc] initWithString:text];
        
        colorText = color;
        
        myButton = [UIButton buttonWithType:UIButtonTypeInfoLight];
        [myButton setFrame:CGRectMake(10, 80, 30, 30)];
    }
    
    return self;
}

- (void) dealloc {
    
    [myText release];
    [colorText release];
    [myButton release];
    
    [super dealloc];
}


// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect
{
    // the background becomes black, don't know why...
    [colorText setFill];
    [myText drawAtPoint:CGPointMake(100, 100) withFont:[UIFont systemFontOfSize:24]];
}


@end
